﻿using Volo.Abp.Domain.Entities.Auditing;

namespace BBM.ChatGLM.ChatSession.Aggregates
{
    public class ChatSessions : FullAuditedAggregateRoot<Guid>, IMultiTenant
    {
        public ChatSessions(Guid id, string content, Guid? userId, Guid? tenantId = null) : base(id)
        {
            Content = content;
            TenantId = tenantId;
            UserId = userId;
        }
        public Guid? TenantId { get; set; }
        public Guid? UserId { get; set; }
        public string Content { get; set; }
    }
}
